Do not find envvars installing PHP

Do you have a question? Post it now! No Registration Necessary.  Now with pictures!

Threaded View

I have some problem installing php-5.0.3.

Operating system: Fedora Core 3
Httpd: httpd-2.0.52 (default installed by Fedora)

I try to install php with option --with-apxs2
at the beginning it doesn't find the apxs because httpd-devel was not
After the installation of httpd-devel-2.0.52-1.i386.rpm package I try to run
"./configure" of php.
It find "apxs" but report this error:

The output of /usr/sbin/apxs follows:
sh: /usr/sbin/envvars: No such file or directory
apxs:Error: Sorry, no shared object support for Apache.
apxs:Error: available under your platform. Make sure.
apxs:Error: the Apache module mod_so is compiled into.
apxs:Error: your server binary `/usr/sbin/httpd'..
configure: error: Aborting

I red on different newsgroup to check where is envvars.

The file envvars do not exist.

Its seem the httpd-devel do not install properly all the files.

Please, Can You help me?

Best regards



Re: Do not find envvars installing PHP

Quoted text here. Click to load it

In the standard installation (not the FC one), envvars is under
/usr/local/apache2/bin, or wherever you install the binaries of

Quoted text here. Click to load it

Well, if your package doesn't came with all the parts the only
thing you can do is to install Apache from the sources or get
a binary distribution and add the missing bits.


I can't wait for EDLIN to be ported for Windows.

Site Timeline